Subject: bug#38993: 26.3; EBDB saves the database on Emacs exit even when told not to

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 06 Jan 2020 11:51:48 -0800

[email-masked] (Jorge P. de Morais Neto) writes:

> Hi.  The latest EBDB (0.6.11) saves the database on Emacs exit even when
> told not to.  To reproduce the error on a minimally customized Emacs:

Probably you've also got `ebdb-save-on-exit' set to t -- that adds a
save hook to `kill-emacs-hook'. Try setting it to nil.

What you're seeing is the `buffer-offer-save' mechanism, which kicks in
both when you run `save-some-buffers' and before you kill Emacs. So
there's sort of two potential save mechanisms when you exit Emacs. If
that's annoying I could also provide an option for not offering to save
the database.